<!DOCTYPE html>


<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Contributing to Distro Tracker &mdash; Contributing to Distro Tracker</title>
    
    <link rel="stylesheet" href="_static/basic.css" type="text/css" />
    <link rel="stylesheet" href="_static/styles.css" type="text/css" />
    <link rel="stylesheet" href="_static/single.css" type="text/css" />
    
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '2015.08.13',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/common.js"></script>
    
    <script type="text/javascript" src="_static/slides.js"></script>
    <script type="text/javascript" src="_static/sync.js"></script>
    <script type="text/javascript" src="_static/controller.js"></script>
    <script type="text/javascript" src="_static/init.js"></script>
    
    
    <link rel="top" title="Contributing to Distro Tracker" href="#" /> 
  </head>
  <body>

<section
   id="slide_container"
   class='slides layout-regular'>


  
<article class="slide level-1" id="contributing-to-distro-tracker">

<h1>Contributing to Distro Tracker</h1>

<p><strong>Christophe Siraut</strong></p>
<div class="figure">
<img alt="_images/dc15.png" src="_images/dc15.png" />
</div>




</article>
<article class="slide level-2" id="menu">

<h2>Menu</h2>

<ul class="simple">
<li>Contributing starter</li>
<li>Stay informed</li>
<li>An adaptive design</li>
<li>People around</li>
<li>Thoughts on volunteering</li>
</ul>




</article>
<article class="slide level-2" id="contributing-starter">

<h2>Contributing starter</h2>

<ul class="build simple">
<li><a class="reference external" href="https://tracker.debian.org/docs/contributing.html">https://tracker.debian.org/docs/contributing.html</a></li>
<li>Use the BTS to propose changes and report bugs</li>
<li>Report against tracker.debian.org pseudo-package</li>
<li>Try newcomer tagged tasks: wiki.debian.org/qa.debian.org/GiftTag</li>
<li>Install locally, hack, share</li>
<li>Subscribe to <a class="reference external" href="mailto:debian-qa&#37;&#52;&#48;lists&#46;debian&#46;org">debian-qa<span>&#64;</span>lists<span>&#46;</span>debian<span>&#46;</span>org</a> and join #debian-qa on irc.debian.org</li>
<li>Use it and give feedback</li>
</ul>




</article>
<article class="slide level-2" id="stay-informed">

<h2>Stay informed</h2>

<ul class="build simple">
<li>An overview of packages life</li>
<li>SPOC for contributors, advanced users, teams, upstreams</li>
<li>Track a package or set of packages</li>
<li>Interfaces: web, email, feed, REST</li>
<li>Email subscriptions: bugs, uploads, commits, derivatives</li>
</ul>




</article>
<article class="slide level-2" id="an-adaptive-design">

<h2>An adaptive design</h2>

<ul class="build simple">
<li>Testing driven development</li>
<li>Django, <em>fast secure and reliable</em></li>
<li>Structured, modular, <em>hackable</em></li>
<li>Well documented</li>
<li>Used by derivatives, <em>customizable</em></li>
<li>Dynamic, <em>up to date</em></li>
<li>User instances, with multiple email adresses</li>
</ul>




</article>
<article class="slide level-2" id="people-around">

<h2>People around</h2>

<ul class="build simple">
<li>Debian QA team, Raphaël Hertzog</li>
<li>Mentoring programs: GSOC, Marko Lalic, New contributor game</li>
<li>17 contributors and ~1000 commits</li>
<li>Sophie Brun, Paul Wise, Joseph Herlant , Vincent Bernat, Andrew Starr-Bochicchio, Olivier Berger, James McCoy, Joseph Herlant, Chris Lamb, Didier Raboud, Dimitri John Ledkov, Martin Zobel-Helas, Nicolas Sévelin-Radiguet, Simon Kainz</li>
<li>You</li>
</ul>




</article>
<article class="slide level-2" id="volunteering">

<h2>Volunteering</h2>

<ul class="build simple">
<li>Lots of non packaging tasks<ul>
<li>Know yourself, ask others</li>
<li>We need project developers: wiki.debian.org/services</li>
<li>Django examples: summit, tracker, contributors</li>
</ul>
</li>
<li>For fun and profit<ul>
<li>An opportunity to learn</li>
<li>Community driven project: wiki.debian.org/teams</li>
<li>Value quality and respect</li>
</ul>
</li>
</ul>




</article>
<article class="slide level-2" id="thanks">

<h2>Thanks!</h2>

<div class="figure">
<img alt="_images/back.png" class="fill" src="_images/back.png" />
</div>
<ul class="simple">
<li>Questions?</li>
<li>Get in touch:<ul>
<li>Debian Quality Assurance Team: <a class="reference external" href="mailto:debian-qa&#37;&#52;&#48;lists&#46;debian&#46;org">debian-qa<span>&#64;</span>lists<span>&#46;</span>debian<span>&#46;</span>org</a>, #debian-qa on irc.debian.org, wiki.debian.org/qa.debian.org</li>
<li>Christophe Siraut: <a class="reference external" href="mailto:tobald&#37;&#52;&#48;debian&#46;org">tobald<span>&#64;</span>debian<span>&#46;</span>org</a></li>
</ul>
</li>
</ul>




</article>

</section>

<section id="slide_notes">

</section>

  </body>
</html>